ClassPathResource (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class ClassPathResource

    java.lang.Object
      org.mortbay.util.Resource
          org.openqa.selenium.server.ClassPathResource

All Implemented Interfaces:
  java.io.Serializable

    public class ClassPathResource

extends org.mortbay.util.Resource

Represents resource file off of the classpath.

Author:
  Patrick Lightbody (plightbo at gmail dot com)
See Also:
  Serialized Form

Constructor Summary
`ClassPathResource(java.lang.String path)` Specifies the classpath path containing the resource

Method Summary
`org.mortbay.util.Resource` | `addPath(java.lang.String pathParm)`
`boolean` | `delete()`
`boolean` | `exists()`
`java.lang.Object` | `getAssociate()`
`java.io.File` | `getFile()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`java.io.OutputStream` | `getOutputStream()`
`java.net.URL` | `getURL()`
`boolean` | `isDirectory()`
`long` | `lastModified()` Returns the lastModified time, which is always in the distant future to prevent caching.
`long` | `length()`
`java.lang.String[]` | `list()`
`void` | `release()`
`boolean` | `renameTo(org.mortbay.util.Resource dest)`
`java.lang.String` | `toString()`

Methods inherited from class org.mortbay.util.Resource
`cache, encode, finalize, getAlias, getListHTML, newResource, newResource, newSystemResource, setAssociate, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassPathResource

    public ClassPathResource(java.lang.String path)

  Specifies the classpath path containing the resource

Method Detail

### getAssociate

    public java.lang.Object getAssociate()

  Overrides:
    `getAssociate` in class `org.mortbay.util.Resource`

### release

    public void release()

  Specified by:
    `release` in class `org.mortbay.util.Resource`

### exists

    public boolean exists()

  Specified by:
    `exists` in class `org.mortbay.util.Resource`

### isDirectory

    public boolean isDirectory()

  Specified by:
    `isDirectory` in class `org.mortbay.util.Resource`

### lastModified

    public long lastModified()

  Returns the lastModified time, which is always in the distant future to prevent caching.

  Specified by:
    `lastModified` in class `org.mortbay.util.Resource`

### length

    public long length()

  Specified by:
    `length` in class `org.mortbay.util.Resource`

### getURL

    public java.net.URL getURL()

  Specified by:
    `getURL` in class `org.mortbay.util.Resource`

### getFile

    public java.io.File getFile()
                         throws java.io.IOException

  Specified by:
    `getFile` in class `org.mortbay.util.Resource`
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `org.mortbay.util.Resource`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in class `org.mortbay.util.Resource`
  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException,
                                                java.lang.SecurityException

  Specified by:
    `getOutputStream` in class `org.mortbay.util.Resource`
  Throws:
    `java.io.IOException`
    `java.lang.SecurityException`

### delete

    public boolean delete()
                   throws java.lang.SecurityException

  Specified by:
    `delete` in class `org.mortbay.util.Resource`
  Throws:
    `java.lang.SecurityException`

### renameTo

    public boolean renameTo(org.mortbay.util.Resource dest)
                     throws java.lang.SecurityException

  Specified by:
    `renameTo` in class `org.mortbay.util.Resource`
  Throws:
    `java.lang.SecurityException`

### list

    public java.lang.String[] list()

  Specified by:
    `list` in class `org.mortbay.util.Resource`

### addPath

    public org.mortbay.util.Resource addPath(java.lang.String pathParm)
                                      throws java.io.IOException,
                                             java.net.MalformedURLException

  Specified by:
    `addPath` in class `org.mortbay.util.Resource`
  Throws:
    `java.io.IOException`
    `java.net.MalformedURLException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.